/* $Id: virtual.h,v 1.2 2000/08/09 20:34:41 mikpe Exp $
 * Virtual per-process performance counters.
 *
 * Copyright (C) 1999-2000  Mikael Pettersson
 */

#ifdef CONFIG_PERFCTR_VIRTUAL
extern int vperfctr_attach(int pid, int writable);
extern int vperfctr_sample_current(void);
extern int vperfctr_unlink_current(void);
extern int vperfctr_init(void);
extern void vperfctr_exit(void);
#else
static __inline__ int vperfctr_attach(int pid, int writable)
{
	return -ENOSYS;
}
static __inline__ int vperfctr_sample_current(void) { return -ENOSYS; }
static __inline__ int vperfctr_unlink_current(void) { return -ENOSYS; }
static __inline__ int vperfctr_init(void) { return 0; }
static __inline__ void vperfctr_exit(void) { }
#endif
